Home Assistant Community

Hassbian-config script issues

#1

Hi all

I encountered the following issues when I execute the script “sudo hassbian-config upgrade homeassistant”:

sudo hassbian-config upgrade homeassistant
Home Assistant install script for Hassbian.
Copyright© 2017 Fredrik Lindqvist https://github.com/Landrash.

Checking current version
Setting correct premissions
Changing to the homeassistant user
Changing to Home Assistant venv
Upgrading Home Assistant
Requirement already up-to-date: setuptools in /srv/homeassistant/lib/python3.5/site-packages
Collecting wheel
Downloading https://files.pythonhosted.org/packages/96/ba/a4702cbb6a3a485239fbe9525443446203f00771af9ac000fa3ef2788201/wheel-0.33.1-py2.py3-none-any.whl
Installing collected packages: wheel
Found existing installation: wheel 0.33.0
Uninstalling wheel-0.33.0:
Successfully uninstalled wheel-0.33.0
Successfully installed wheel-0.33.1
Collecting homeassistant==0.88.1
Downloading https://files.pythonhosted.org/packages/b3/13/6119a98dc730c58118a8b8cb3a873e6a1202302bbec425823a3558ec38c4/homeassistant-0.88.1-py3-none-any.whl (3.8MB)
Requirement already up-to-date: pytz>=2018.07 in /srv/homeassistant/lib/python3.5/site-packages (from homeassistant==0.88.1)
Requirement already up-to-date: pyyaml<4,>=3.13 in /srv/homeassistant/lib/python3.5/site-packages (from homeassistant==0.88.1)
Requirement already up-to-date: attrs==18.2.0 in /srv/homeassistant/lib/python3.5/site-packages (from homeassistant==0.88.1)
Requirement already up-to-date: async-timeout==3.0.1 in /srv/homeassistant/lib/python3.5/site-packages (from homeassistant==0.88.1)
Requirement already up-to-date: jinja2>=2.10 in /srv/homeassistant/lib/python3.5/site-packages (from homeassistant==0.88.1)
Requirement already up-to-date: aiohttp==3.5.4 in /srv/homeassistant/lib/python3.5/site-packages (from homeassistant==0.88.1)
Collecting cryptography==2.5 (from homeassistant==0.88.1)
Downloading https://www.piwheels.org/simple/cryptography/cryptography-2.5-cp35-cp35m-linux_armv7l.whl (865kB)
Exception:
Traceback (most recent call last):
File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 594, in urlopen
chunked=chunked)
File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 391, in _make_request
six.raise_from(e, None)
File “”, line 2, in raise_from
File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 387, in _make_request
httplib_response = conn.getresponse()
File “/usr/lib/python3.5/http/client.py”, line 1198, in getresponse
response.begin()
File “/usr/lib/python3.5/http/client.py”, line 297, in begin
version, status, reason = self._read_status()
File “/usr/lib/python3.5/http/client.py”, line 266, in _read_status
raise RemoteDisconnected(“Remote end closed connection without”
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/lib/python3.5/site-packages/pip/basecommand.py”, line 215, in main
status = self.run(options, args)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/commands/install.py”, line 353, in run
wb.build(autobuilding=True)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/wheel.py”, line 749, in build
self.requirement_set.prepare_files(self.finder)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py”, line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py”, line 487, in _prepare_file
req_to_install, finder)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/req/req_set.py”, line 428, in _check_skip_installed
req_to_install, upgrade_allowed)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 465, in find_requirement
all_candidates = self.find_all_candidates(req.name)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 423, in find_all_candidates
for page in self._get_pages(url_locations, project_name):
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 568, in _get_pages
page = self._get_page(location)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 683, in _get_page
return HTMLPage.get_page(link, session=self.session)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/index.py”, line 792, in get_page
“Cache-Control”: “max-age=600”,
File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 501, in get
return self.request(‘GET’, url, **kwargs)
File “/srv/homeassistant/lib/python3.5/site-packages/pip/download.py”, line 386, in request
return super(PipSession, self).request(method, url, *args, **kwargs)
File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 488, in request
resp = self.send(prep, **send_kwargs)
File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 609, in send
r = adapter.send(request, **kwargs)
File “/srv/homeassistant/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/adapter.py”, line 47, in send
resp = super(CacheControlAdapter, self).send(request, **kw)
File “/srv/homeassistant/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/adapters.py”, line 423, in send
timeout=timeout
File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 643, in urlopen
_stacktrace=sys.exc_info()[2])
File “/srv/homeassistant/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/retry.py”, line 315, in increment
total -= 1
TypeError: unsupported operand type(s) for -=: ‘Retry’ and ‘int’
Deactivating virtualenv
Restarting Home Assistant
Checking the installation…

Upgrade script completed…
Note that it may take some time to start up after an upgrade.

#2

Did you end up fixing this? I’m also trying to get around this issue from a brand new clean install of HASSBIAN but Home Assistant just refuses to install.

#3

Are you guy’s stopping the HA service prior to running the script?

sudo systemctl stop [email protected]

#4
sudo -u homeassistant -H /bin/bash
source /srv/homeassistant/bin/activate
wget -O /tmp/get-pypi.py https://bootstrap.pypa.io/get-pip.py
python /tmp/get-pypi.py
deactivate
exit
sudo hassbian-config upgrade homeassistant
Home Assistant won't install on a fresh Hassbian flash
#5

Hi, Did you end up fixing your issue? I am also experiencing the same i errors while trying to install fresh…

#6

Replying back to myself for others who are having the same issue…

Thank you to @ludeeus… that fixed my issue…

For others:

sudo -u homeassistant -H /bin/bash
source /srv/homeassistant/bin/activate
wget -O /tmp/get-pypi.py https://bootstrap.pypa.io/get-pip.py
python /tmp/get-pypi.py
deactivate
exit
sudo -u homeassistant -H -s
cd /srv/homeassistant
python3 -m venv .
source bin/activate
python3 -m pip install wheel
pip3 install homeassistant